@tool
class_name BlackboardCopy extends ActionLeaf
## Copy a value from one blackboard key to another.

## Source blackboard key.
@export var source_key: String

## Destination blackboard key.
@export var destination_key: String


func tick(_actor: Node, blackboard: Blackboard) -> int:
	blackboard.set_value(destination_key, blackboard.get_value(source_key))
	return SUCCESS
